
QGIS Application - Bug report #16005

Update OGR provider for GDAL 2.2 Triangle, TIN, PolyhedralSurface

2016-12-22 02:08 PM - Even Rouault

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23921

Description

GDAL 2.2dev has recently introduced new geometry types: Triangle, TIN and PolyhedralSurface : 

https://trac.osgeo.org/gdal/wiki/rfc64_triangle_polyhedralsurface_tin

They can now be returned as layer geometry types and feature geometries. The OGR provider should be upgraded to deal with that, likely

like the PostGIS provider: ie by converting Triangle to Polygon and TIN&PolyhedralSurface to MultiPolygon.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-10-04 04:52 PM - Sandro Mani

- Assignee changed from Even Rouault to Sandro Mani

- Description updated

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/5298

#3 - 2017-10-05 01:27 PM - Sandro Mani

- Status changed from In Progress to Closed

Done
